# out_of_range Class Reference

Inheritance diagram for out_of_range:

List of all members.

## Detailed Description

This represents an argument whose value is not within the expected range (e.g., boundary checks in basic_string).

Definition at line 96 of file stdexcept.

## Public Member Functions

- out_of_range (const string &__arg)
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor). Reimplemented from exception.

The documentation for this class was generated from the following file:

- stdexcept